/* ===================================================================================================
 *
 * The Untold History of Arduino wiring
 * https://arduinohistory.github.io/
 *
 * wiring functions:
 * https://github.com/arduino/Arduino/blob/master/hardware/arduino/sam/cores/arduino/wiring.c
 * https://github.com/arduino/Arduino/blob/master/hardware/arduino/sam/cores/arduino/wiring_digital.c
 *
 * ===================================================================================================
*/

#include <project.h>


void delay(unsigned long ms)
{
    CyDelay(ms);
}

void digitalWrite(uint8_t pin, uint8_t val)
{
    if(pin==13)    ARDUINO_LED_PIN13_Write(val);
}

void pinMode(uint8_t pin, uint8_t mode)
{
    uint8_t PSoC_Pin_mode;
    PSoC_Pin_mode=0x06u; // #define Pin_DM_STRONG  (0x06u)
    if( pin==13 ) ARDUINO_LED_PIN13_SetDriveMode( PSoC_Pin_mode );
}

/* [] END OF FILE */
