/* =====================================================================================================
 *
 * The Untold History of Arduino wiring
 * https://arduinohistory.github.io/
 *
 * wiring constants:
 * https://github.com/arduino/Arduino/blob/master/hardware/arduino/sam/cores/arduino/wiring_constants.h
 * =====================================================================================================
*/

#include <stdint.h>

#define HIGH 0x1
#define LOW  0x0

#define INPUT 0x0
#define OUTPUT 0x1
#define INPUT_PULLUP 0x2

void delay(unsigned long ms);
void digitalWrite(uint8_t pin, uint8_t val);
void pinMode(uint8_t pin, uint8_t mode);



/* [] END OF FILE */
